package com.yingpaipay.business.service;

import com.yingpaipay.business.domain.FolderKeyword;

import java.util.Collection;
import java.util.List;

public interface IFolderKeywordService {
    boolean insertByFolderIdAndKeyewordIds(Long folderId, List<Long> keywords);

    List<FolderKeyword> getByFolderId(Long folderId);

    boolean updateByFolderId(List<Long> keywords, Long folderId);

    Long getByKeywordAndFolderIds(List<Long> selected, Long keyword);

    boolean deleteByFolderIds(Collection<Long> ids);
}
